// 
// Copyright (c) Microsoft and contributors.  All rights reserved.
// 
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//   http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// 
// See the License for the specific language governing permissions and
// limitations under the License.
// 

// Warning: This code was generated by a tool.
// 
// Changes to this file may cause incorrect behavior and will be lost if the
// code is regenerated.

using System;
using System.Collections.Generic;
using Hyak.Common;

namespace Microsoft.Azure.Management.Internal.Resources.Models
{
    public partial class ResourceManagementErrorWithDetails : ResourceManagementError
    {
        private IList<ResourceManagementError> _details;
        
        /// <summary>
        /// Optional. Gets or sets validation error.
        /// </summary>
        public IList<ResourceManagementError> Details
        {
            get { return this._details; }
            set { this._details = value; }
        }
        
        /// <summary>
        /// Initializes a new instance of the
        /// ResourceManagementErrorWithDetails class.
        /// </summary>
        public ResourceManagementErrorWithDetails()
        {
            this.Details = new LazyList<ResourceManagementError>();
        }
        
        /// <summary>
        /// Initializes a new instance of the
        /// ResourceManagementErrorWithDetails class with required arguments.
        /// </summary>
        public ResourceManagementErrorWithDetails(string code, string message)
            : this()
        {
            if (code == null)
            {
                throw new ArgumentNullException("code");
            }
            if (message == null)
            {
                throw new ArgumentNullException("message");
            }
            this.Code = code;
            this.Message = message;
        }
    }
}
